Public Member Functions | Data Fields

# AirportScopeResolver Struct Reference

Resolver for the airport scope. More...

Inheritance diagram for AirportScopeResolver:

## Public Member Functions
| AirportScopeResolver (ResolverObject &ro, TileIndex tile, Station *st, byte airport_id, byte layout)
| Constructor of the scope resolver for an airport.
uint32 | GetRandomBits () const
| Get a few random bits.
uint32 | GetVariable (byte variable, uint32 parameter, bool *available) const
| Get a variable value.
void | StorePSA (uint pos, int32 value)
| Store a value into the object's persistent storage.
## Data Fields
struct Station * | st
| Station of the airport for which the callback is run, or `NULL` for build gui.
byte | airport_id
| Type of airport for which the callback is run.
byte | layout
| Layout of the airport to build.
TileIndex | tile
| Tile for the callback, only valid for airporttile callbacks.

## Detailed Description

Resolver for the airport scope.

Definition at line 21 of file newgrf_airport.cpp.

## Constructor & Destructor Documentation

AirportScopeResolver::AirportScopeResolver | ( | ResolverObject & | ro,
|  | TileIndex | tile,
|  | Station * | st,
|  | byte | airport_id,
|  | byte | layout |
| ) |  |  |

Constructor of the scope resolver for an airport.

Parameters:

  | ro | Surrounding resolver.
  | tile | Tile for the callback, only valid for airporttile callbacks.
  | st | Station of the airport for which the callback is run, or `NULL` for build gui.
  | airport_id | Type of airport for which the callback is run.
  | layout | Layout of the airport to build.

Definition at line 251 of file newgrf_airport.cpp.

## Member Function Documentation

uint32 AirportScopeResolver::GetRandomBits | ( |  | ) | const`[virtual]`

Get a few random bits.

Default implementation has no random bits.

Returns:
  Random bits.

Reimplemented from ScopeResolver.

Definition at line 199 of file newgrf_airport.cpp.

References BaseStation::random_bits, and st.

uint32 AirportScopeResolver::GetVariable | ( | byte | variable,
|  | uint32 | parameter,
|  | bool * | available |
| ) |  |  | const`[virtual]`

Get a variable value.

Default implementation has no available variables.

Parameters:

  | variable | Variable to read
  | parameter | Parameter for 60+x variables
  `[out]` | available | Set to false, in case the variable does not exist.

Returns:
  Value

Reimplemented from ScopeResolver.

Definition at line 167 of file newgrf_airport.cpp.

References Station::airport, BaseStation::build_date, Clamp(), DAYS_TILL_ORIGINAL_BASE_YEAR, BaseStation::facilities, PersistentStorageArray< TYPE, SIZE >::GetValue(), layout, Airport::psa, ScopeResolver::ro, and st.

void AirportScopeResolver::StorePSA | ( | uint | pos,
|  | int32 | value |
| ) |  |  | `[virtual]`

Store a value into the object's persistent storage.

Parameters:

  | object | Object that we want to query.
  | pos | Position in the persistent storage to use.
  | value | Value to store.

Reimplemented from ScopeResolver.

Definition at line 210 of file newgrf_airport.cpp.

References Station::airport, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem<&_persistent_storage_pool >::CanAllocateItem(), ResolverObject::grffile, Airport::psa, ScopeResolver::ro, st, PersistentStorageArray< TYPE, SIZE >::StoreValue(), and OrthogonalTileArea::tile.

The documentation for this struct was generated from the following file:

- src/newgrf_airport.cpp